## google-android-sdk-docs-installer 20.0.0.3

=== for-postinst/Makefile ===

PKG_SOURCE:=docs-L_r01.zip
PKG_SOURCE_URL:=https://dl-ssl.google.com/android/repository/${PKG_SOURCE}

DL_DIR=/var/cache/google-android-sdk-docs-installer
UNPACK_DIR=$(DL_DIR)/docs
INSTALL_DIR=/usr/share/doc/google-android-sdk-docs
FILELIST=/var/lib/dpkg/info/google-android-sdk-docs-installer.list

all: $(DL_DIR)/$(UNPACK_DIR)/index.html
	find $(UNPACK_DIR)/ -name '*.js' -o -name '*.html' -o -name '*.css' | xargs sed -i \
		-e 's|http://source.android.com|https://source.android.com|g' \
		-e 's|http://developer.android.com|https://developer.android.com|g' \
		-e 's|http://developer.chrome.com|https://developer.chrome.com|g' \
		-e 's|http://www.youtube.com|https://www.youtube.com|g' \
		-e 's|http://youtu.be|https://youtu.be|g' \
		-e 's|http://i1.ytimg.com|https://i1.ytimg.com|g' \
		-e 's|http://developers.google.com|https://developers.google.com|g' \
		-e 's|http://play.google.com|https://play.google.com|g' \
		-e 's|http://plus.google.com|https://plus.google.com|g' \
		-e 's|http://www.google.com|https://www.google.com|g' \
		-e 's|http://support.google.com|https://support.google.com|g' \
		-e 's|http://android-developers.blogspot|https://android-developers.blogspot|g' \
		-e 's|http://chart.googleapis.com|https://chart.googleapis.com|g' \
		-e 's|http://en.wikipedia.org|https://en.wikipedia.org|g' \
		-e 's|http://creativecommons.org|https://creativecommons.org|g' \
		-e 's|http://fonts\.googleapis\.com/css.family=Roboto+Condensed|./font-family-roboto-condensed.css|g' \
		-e 's|http://fonts\.googleapis\.com/css.family=Roboto:light,regular,medium,thin,italic,mediumitalic,bold|./font-family-roboto-light-regular-medium-thin-italic-mediumitalic-bold.css|g' \
		-e 's|href="../../../guide/topics/fundamentals|href="../../../guide/components|g'

	find $(UNPACK_DIR)/ -name '*.html' | xargs sed -i \
		-e 's|//ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js|./swfobject.js|g' \
		-e 's|<script src="https://www.google.com/jsapi" type="text/javascript"></script>||g' \
		-e 's/^  var _gaq = _gaq || \[\];$$/  var _gaq = [];/' \
		-e "/^  _gaq\.push(\['_setAccount', 'UA-5831155-1'\]);/,/^  \})();/d" \
		-e '/^<!-- Start of Tag -->/,/^<!-- End of Tag -->/d'
	find $(UNPACK_DIR)/ | xargs chmod a+r
	find $(UNPACK_DIR)/ -type d | xargs chmod 0755

install: all
	install -d -m0755 $(INSTALL_DIR)
	install -m0644 $(UNPACK_DIR)/source.properties $(INSTALL_DIR)/
	mv $(UNPACK_DIR) $(INSTALL_DIR)/
	echo $(INSTALL_DIR)/source.properties >> $(FILELIST)
	find $(INSTALL_DIR)/docs >> $(FILELIST)

uninstall:
	rm -f $(INSTALL_DIR)/copyright.gz
	for d in `find $(INSTALL_DIR) /usr/share/doc -type d -empty`; do \
		test -d $$d && rmdir $$d || true ; done

$(DL_DIR)/$(UNPACK_DIR)/index.html: $(DL_DIR)/$(PKG_SOURCE)
	cd $(DL_DIR) && unzip -ou $(PKG_SOURCE)

$(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
	cd $(DL_DIR) && \
		wget --continue $(PKG_SOURCE_URL)
	md5sum -c $(PKG_SOURCE).md5
	sha1sum -c $(PKG_SOURCE).sha1
	sha256sum -c $(PKG_SOURCE).sha256

$(DL_DIR)/swfobject.js: $(DL_DIR)
	wget --continue 'https://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js' \
		--output-document=$(DL_DIR)/swfobject.js

$(DL_DIR):
	install -d -m0700 $(DL_DIR)

clean:
	rm -rf -- $(UNPACK_DIR)
	rm -f $(DL_DIR)/swfobject.js

distclean: clean
	-rm -rf -- $(DL_DIR)

.PHONY: install clean

=== debian/changelog ===
google-android-sdk-docs-installer (20.0.0.3) unstable; urgency=low

  * add missing Depends (Closes: #769809)
  * let dpkg handle base dirs (Closes: #769809)

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 17 Nov 2014 15:43:51 +0100

google-android-sdk-docs-installer (20.0.0.2) unstable; urgency=low

  * include source.properties in file list
  * overwrite existing files in cache when unpacking
  * fix broken links to guide/topics/fundamentals section

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 20 Oct 2014 17:13:42 -0400

google-android-sdk-docs-installer (20.0.0.1) unstable; urgency=low

  * fix stupid mistakes in Makefile
  * add all files to .list file

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 17 Jul 2014 20:16:10 -0400

google-android-sdk-docs-installer (20.0.0.0) unstable; urgency=low

  * First release (Closes: #754622)

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 12 Jul 2014 21:34:19 -0400

=== debian/control ===
Source: google-android-sdk-docs-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.6
Homepage: https://developer.android.com/sdk/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-sdk-docs-installer.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=android-tools/google-android-sdk-docs-installer.git

Package: google-android-sdk-docs-installer
Architecture: all
Depends: wget,
         unzip,
         ca-certificates,
         make | build-essential | dpkg-dev,
         fonts-roboto,
         ${misc:Depends},
Description: Android SDK Documentation from Google
 This package will download the Android SDK Documentation from Google and
 create a Debian package.  This package also aims to strip out all calls to
 the networking, including tracking services like Google Analytics and
 Doubleclick. These documentation files still require the Google "jsapi",
 which is only available by fetching it each time from
 http://www.google.com/jsapi.  This package forces it to use https://, but
 otherwise, these docs have to phone home in order for any of the javascript
 to work.
 .
 WARNING: Installing this Debian package causes docs-L_r01.zip to be
 downloaded from dl-ssl.google.com. The End User License Agreement of this
 binary package is available at developer.android.com.  The code in the
 documentation is licensed under the Apache 2.0, and the content is licensed
 under Creative Commons CC-BY 2.5.  The CC-BY 2.5 license is non-free but can
 be legally distributed by Debian.  This package avoids the issue all together
 since each user directly downloads the files from Google, and must agree to
 Google's license.

## google-android-sdk-docs-installer 23.0.0.0

=== for-postinst/Makefile ===
--- 
+++ 
@@ -1,6 +1,9 @@
 
-PKG_SOURCE:=docs-L_r01.zip
-PKG_SOURCE_URL:=https://dl-ssl.google.com/android/repository/${PKG_SOURCE}
+PKG_SOURCE:=docs-23_r01.zip
+PKG_SOURCE_URLS:= \
+	https://dl.google.com/android/repository/${PKG_SOURCE} \
+	http://mirrors.neusoft.edu.cn/android/repository/${PKG_SOURCE} \
+	http://mirrors.opencas.cn/android/repository/${PKG_SOURCE}
 
 DL_DIR=/var/cache/google-android-sdk-docs-installer
 UNPACK_DIR=$(DL_DIR)/docs
@@ -54,10 +57,11 @@
 
 $(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
 	cd $(DL_DIR) && \
-		wget --continue $(PKG_SOURCE_URL)
-	md5sum -c $(PKG_SOURCE).md5
+		for url in $(PKG_SOURCE_URLS); do \
+			wget --continue $$url || continue; \
+			break; \
+		done
 	sha1sum -c $(PKG_SOURCE).sha1
-	sha256sum -c $(PKG_SOURCE).sha256
 
 $(DL_DIR)/swfobject.js: $(DL_DIR)
 	wget --continue 'https://ajax.googleapis.com/ajax/libs/swfobject/2.2/swfobject.js' \

=== debian/changelog ===
google-android-sdk-docs-installer (23.0.0.0) unstable; urgency=medium

  * update to latest upstream binary
  * if downloading from Google fails, try Chinese mirrors

 -- Hans-Christoph Steiner <hans@eds.org>  Sat, 05 Dec 2015 01:02:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Standards-Version: 3.9.6
 Homepage: https://developer.android.com/sdk/index.html
 Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-sdk-docs-installer.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=android-tools/google-android-sdk-docs-installer.git
+Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-sdk-docs-installer.git
 
 Package: google-android-sdk-docs-installer
 Architecture: all
@@ -27,11 +27,18 @@
  otherwise, these docs have to phone home in order for any of the javascript
  to work.
  .
- WARNING: Installing this Debian package causes docs-L_r01.zip to be
- downloaded from dl-ssl.google.com. The End User License Agreement of this
- binary package is available at developer.android.com.  The code in the
- documentation is licensed under the Apache 2.0, and the content is licensed
- under Creative Commons CC-BY 2.5.  The CC-BY 2.5 license is non-free but can
- be legally distributed by Debian.  This package avoids the issue all together
- since each user directly downloads the files from Google, and must agree to
- Google's license.
+ WARNING: Installing this Debian package causes docs-23_r01.zip to be
+ downloaded from https://dl.google.com. Also, since Google is often
+ blocked in China, the install process will try again on Chinese
+ mirrors if the Google central download repo is not available.  Since
+ the zipball is checked against the embedded SHA1 checksum, the
+ install will fail if the mirror contains a corrupted version.
+ .
+ The End User License Agreement of this binary package is available here:
+  https://developer.android.com/sdk/terms.html
+ .
+ The code in the documentation is licensed under the Apache 2.0, and
+ the content is licensed under Creative Commons CC-BY 2.5.  The CC-BY
+ 2.5 license is non-free but can be legally distributed by Debian.
+ This package avoids the issue all together since each user directly
+ downloads the files from Google, and must agree to Google's license.

## google-android-sdk-docs-installer 23.0.0.2

=== debian/changelog ===
google-android-sdk-docs-installer (23.0.0.2) unstable; urgency=medium

  * Add Czech PO translation file
  * Add Dutch PO translation file

 -- Mouaad Aallam <Mouaad@Aallam.com>  Sun, 14 Aug 2016 22:45:07 +0000

google-android-sdk-docs-installer (23.0.0.1) unstable; urgency=medium

  * Add mirrors choosing feature with debconf shared template
  * d/compat: update compat version to 9
  * d/control: update build-depends debhelper to >= 9
  * Add Indonesian, Portuguese and German PO translation files

 -- Mouaad Aallam <Mouaad@Aallam.com>  Thu, 07 Jul 2016 23:44:00 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: contrib/devel
 Priority: optional
 Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
-Uploaders: Hans-Christoph Steiner <hans@eds.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.6
+Uploaders: Hans-Christoph Steiner <hans@eds.org>,
+           Mouaad Aallam <Mouaad@Aallam.com>
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.8
 Homepage: https://developer.android.com/sdk/index.html
 Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-sdk-docs-installer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-sdk-docs-installer.git
@@ -16,6 +17,8 @@
          ca-certificates,
          make | build-essential | dpkg-dev,
          fonts-roboto,
+         debconf,
+         po-debconf,
          ${misc:Depends},
 Description: Android SDK Documentation from Google
  This package will download the Android SDK Documentation from Google and
@@ -28,7 +31,8 @@
  to work.
  .
  WARNING: Installing this Debian package causes docs-23_r01.zip to be
- downloaded from https://dl.google.com. Also, since Google is often
+ downloaded from https://dl.google.com and/or from other suggested mirrors. 
+ Also, since Google is often
  blocked in China, the install process will try again on Chinese
  mirrors if the Google central download repo is not available.  Since
  the zipball is checked against the embedded SHA1 checksum, the

## google-android-sdk-docs-installer 24r1

=== for-postinst/Makefile ===
--- 
+++ 
@@ -1,9 +1,5 @@
-
 PKG_SOURCE:=docs-23_r01.zip
-PKG_SOURCE_URLS:= \
-	https://dl.google.com/android/repository/${PKG_SOURCE} \
-	http://mirrors.neusoft.edu.cn/android/repository/${PKG_SOURCE} \
-	http://mirrors.opencas.cn/android/repository/${PKG_SOURCE}
+PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}
 
 DL_DIR=/var/cache/google-android-sdk-docs-installer
 UNPACK_DIR=$(DL_DIR)/docs
@@ -27,8 +23,8 @@
 		-e 's|http://chart.googleapis.com|https://chart.googleapis.com|g' \
 		-e 's|http://en.wikipedia.org|https://en.wikipedia.org|g' \
 		-e 's|http://creativecommons.org|https://creativecommons.org|g' \
-		-e 's|http://fonts\.googleapis\.com/css.family=Roboto+Condensed|./font-family-roboto-condensed.css|g' \
-		-e 's|http://fonts\.googleapis\.com/css.family=Roboto:light,regular,medium,thin,italic,mediumitalic,bold|./font-family-roboto-light-regular-medium-thin-italic-mediumitalic-bold.css|g' \
+		-e 's|http://fonts\.googleapis\.com/css.family=Roboto+Condensed|/usr/share/doc/google-android-sdk-docs/font-family-roboto-condensed.css|g' \
+		-e 's|http://fonts\.googleapis\.com/css.family=Roboto:light,regular,medium,thin,italic,mediumitalic,bold|/usr/share/doc/google-android-sdk-docs/font-family-roboto-light-regular-medium-thin-italic-mediumitalic-bold.css|g' \
 		-e 's|href="../../../guide/topics/fundamentals|href="../../../guide/components|g'
 
 	find $(UNPACK_DIR)/ -name '*.html' | xargs sed -i \
@@ -57,10 +53,7 @@
 
 $(DL_DIR)/$(PKG_SOURCE): $(DL_DIR)
 	cd $(DL_DIR) && \
-		for url in $(PKG_SOURCE_URLS); do \
-			wget --continue $$url || continue; \
-			break; \
-		done
+		su nobody -s /bin/sh -c "wget --continue $(PKG_SOURCE_URL)"
 	sha1sum -c $(PKG_SOURCE).sha1
 
 $(DL_DIR)/swfobject.js: $(DL_DIR)

=== debian/changelog ===
google-android-sdk-docs-installer (24r1) unstable; urgency=medium

  * New upstream release
  * Add French, Dutch PO translation file to google-android-installers
    (Closes: #837955) (Closes: #837957) (Closes: #838996)

 -- Hans-Christoph Steiner <hans@eds.org>  Thu, 22 Dec 2016 15:13:07 +0000

google-android-sdk-docs-installer (23.0.0.3) unstable; urgency=medium

  * Add French PO translation file

 -- Mouaad Aallam <Mouaad@Aallam.com>  Mon, 29 Aug 2016 17:31:38 +0100

=== debian/control ===
Source: google-android-sdk-docs-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>=9)
Standards-Version: 3.9.8
Homepage: https://developer.android.com/about/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-installers.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-installers.git

Package: google-android-sdk-docs-installer
Architecture: all
Depends: fonts-roboto,,
         ${googleAndroidInstallers:Depends},
         ${misc:Depends},
Description: Android SDK Documentation from Google
 This package will download the Android SDK Documentation from Google and
 create a Debian package.  This package also aims to strip out all calls to
 the networking, including tracking services like Google Analytics and
 Doubleclick. These documentation files still require the Google "jsapi",
 which is only available by fetching it each time from
 http://www.google.com/jsapi.  This package forces it to use https://, but
 otherwise, these docs have to phone home in order for any of the javascript
 to work.
 .
 WARNING: Installing this Debian package causes docs-*.zip to be downloaded
 from https://dl.google.com and/or from other suggested mirrors. 
 Also, since Google is often blocked in China, the install process will try
 again on Chinese mirrors if the Google central download repo is not 
 available.  Since the zipball is checked against the embedded SHA1 checksum,
 the install will fail if the mirror contains a corrupted version.
 .
 The End User License Agreement of this binary package is available here:
  https://developer.android.com/sdk/terms.html
 .
 The code in the documentation is licensed under the Apache 2.0, and
 the content is licensed under Creative Commons CC-BY 2.5.  The CC-BY
 2.5 license is non-free but can be legally distributed by Debian.
 This package avoids the issue all together since each user directly
 downloads the files from Google, and must agree to Google's license.

## google-android-sdk-docs-installer 24%2Br1

=== debian/changelog ===
google-android-sdk-docs-installer (24+r1) unstable; urgency=medium

  * New upstream version
  * add Swedish translation (Closes: #851857, #862760)
  * add Danish translation (Closes: #856782)

 -- Hans-Christoph Steiner <hans@eds.org>  Wed, 25 Oct 2017 14:33:44 +0200

## google-android-sdk-docs-installer 24+r1

=== for-postinst/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PKG_SOURCE:=docs-23_r01.zip
+PKG_SOURCE:=docs-24_r01.zip
 PKG_SOURCE_URL:=${DL_MIRROR}/android/repository/${PKG_SOURCE}
 
 DL_DIR=/var/cache/google-android-sdk-docs-installer
@@ -23,8 +23,8 @@
 		-e 's|http://chart.googleapis.com|https://chart.googleapis.com|g' \
 		-e 's|http://en.wikipedia.org|https://en.wikipedia.org|g' \
 		-e 's|http://creativecommons.org|https://creativecommons.org|g' \
-		-e 's|http://fonts\.googleapis\.com/css.family=Roboto+Condensed|/usr/share/doc/google-android-sdk-docs/font-family-roboto-condensed.css|g' \
-		-e 's|http://fonts\.googleapis\.com/css.family=Roboto:light,regular,medium,thin,italic,mediumitalic,bold|/usr/share/doc/google-android-sdk-docs/font-family-roboto-light-regular-medium-thin-italic-mediumitalic-bold.css|g' \
+		-e 's|http://fonts\.googleapis\.com/css.family=Roboto+Condensed|./font-family-roboto-condensed.css|g' \
+		-e 's|http://fonts\.googleapis\.com/css.family=Roboto:light,regular,medium,thin,italic,mediumitalic,bold|./font-family-roboto-light-regular-medium-thin-italic-mediumitalic-bold.css|g' \
 		-e 's|href="../../../guide/topics/fundamentals|href="../../../guide/components|g'
 
 	find $(UNPACK_DIR)/ -name '*.html' | xargs sed -i \

=== debian/control ===
Source: google-android-sdk-docs-installer
Section: contrib/devel
Priority: optional
Maintainer: Android tools Maintainer <android-tools-devel@lists.alioth.debian.org>
Uploaders: Hans-Christoph Steiner <hans@eds.org>,
           Mouaad Aallam <Mouaad@Aallam.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 4.1.0
Homepage: https://developer.android.com/sdk/index.html
Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-sdk-docs-installer.git
Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-sdk-docs-installer.git

Package: google-android-sdk-docs-installer
Architecture: all
Depends: wget,
         unzip,
         ca-certificates,
         make | build-essential | dpkg-dev,
         fonts-roboto,
         debconf,
         po-debconf,
         ${misc:Depends},
Description: Android SDK Documentation from Google
 This package will download the Android SDK Documentation from Google and
 create a Debian package.  This package also aims to strip out all calls to
 the networking, including tracking services like Google Analytics and
 Doubleclick. These documentation files still require the Google "jsapi",
 which is only available by fetching it each time from
 http://www.google.com/jsapi.  This package forces it to use https://, but
 otherwise, these docs have to phone home in order for any of the javascript
 to work.
 .
 WARNING: Installing this Debian package causes docs-24_r01.zip to be
 downloaded from https://dl.google.com and/or from other suggested
 mirrors.  Also, since Google is often blocked in China, the install
 process will try again on Chinese mirrors if the Google central
 download repo is not available.  Since the zipball is checked against
 the embedded SHA1 checksum, the install will fail if the mirror
 contains a corrupted version.
 .
 The End User License Agreement of this binary package is available here:
  https://developer.android.com/sdk/terms.html
 .
 The code in the documentation is licensed under the Apache 2.0, and
 the content is licensed under Creative Commons CC-BY 2.5.  The CC-BY
 2.5 license is non-free but can be legally distributed by Debian.
 This package avoids the issue all together since each user directly
 downloads the files from Google, and must agree to Google's license.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

%:
	dh $@


upgrade:
	curl https://dl.google.com/android/repository/repository-12.xml | grep -C1 docs

## google-android-sdk-docs-installer 24+r3

=== for-postinst/Makefile ===
--- 
+++ 
@@ -45,7 +45,7 @@
 
 uninstall:
 	rm -f $(INSTALL_DIR)/copyright.gz
-	for d in `find $(INSTALL_DIR) /usr/share/doc -type d -empty`; do \
+	for d in `find $(INSTALL_DIR) -type d -empty`; do \
 		test -d $$d && rmdir $$d || true ; done
 
 $(DL_DIR)/$(UNPACK_DIR)/index.html: $(DL_DIR)/$(PKG_SOURCE)

=== debian/changelog ===
google-android-sdk-docs-installer (24+r3) unstable; urgency=medium

  * Team upload.
  * Add debian/.gitlab-ci.yml
  * Add Russian translation. Thanks to Lev Lamberov (Closes: #883390).

 -- Roger Shimizu <rosh@debian.org>  Sun, 10 May 2020 15:02:34 +0900

google-android-sdk-docs-installer (24+r2) unstable; urgency=medium

  * Team upload.
  * for-postinst/Makefile:
    - Do not remove stuff uder /usr/share/doc which does not installed
      by this package. Thanks to Andreas Beckmann for reporting this.
      (Closes: #915943).
  * debian/control:
    - Update Vcs-* URL to move repo to salsa.

 -- Roger Shimizu <rosh@debian.org>  Sat, 09 May 2020 20:08:15 +0900

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
            Mouaad Aallam <Mouaad@Aallam.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 4.1.0
+Rules-Requires-Root: no
 Homepage: https://developer.android.com/sdk/index.html
-Vcs-Git: https://alioth.debian.org/anonscm/git/android-tools/google-android-sdk-docs-installer.git
-Vcs-Browser: https://anonscm.debian.org/cgit/android-tools/google-android-sdk-docs-installer.git
+Vcs-Git: https://salsa.debian.org/android-tools-team/google-android-sdk-docs-installer.git
+Vcs-Browser: https://salsa.debian.org/android-tools-team/google-android-sdk-docs-installer
 
 Package: google-android-sdk-docs-installer
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,6 @@
 	dh $@
 
 
+# Updated URL seems to be: https://dl.google.com/android/repository/repository2-1.xml
 upgrade:
 	curl https://dl.google.com/android/repository/repository-12.xml | grep -C1 docs
